## golang-github-docker-engine-api 0.4.0

=== Makefile ===
.PHONY: all deps test validate lint

all: deps test validate

deps:
	go get -t ./...
	go get -u github.com/golang/lint/golint

test:
	go test -tags experimental -race -cover ./...

validate: lint
	go vet ./...
	test -z "$(gofmt -s -l . | tee /dev/stderr)"

lint:
	out="$$(golint ./...)"; \
	if [ -n "$$(golint ./...)" ]; then \
		echo "$$out"; \
		exit 1; \
	fi

## golang-github-docker-engine-api 0.3.3

=== debian/changelog ===
golang-github-docker-engine-api (0.3.3-1) unstable; urgency=medium

  * New upstream version (Closes: #822218).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Apr 2016 07:24:32 +1000

golang-github-docker-engine-api (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #816778).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Mar 2016 15:28:00 +1100

=== debian/control ===
Source: golang-github-docker-engine-api
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-docker-go-connections-dev,
    golang-github-docker-go-units-dev (>= 0.3.0)
Standards-Version: 3.9.7
Homepage: https://github.com/docker/engine-api
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-engine-api.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-engine-api.git
XS-Go-Import-Path: github.com/docker/engine-api

Package: golang-github-docker-engine-api-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
    golang-github-docker-go-connections-dev,
    golang-github-docker-go-units-dev (>= 0.3.0)
Description: client and server components compatible with the Docker engine
 Engine-api is a set of Go libraries to implement client and server
 components compatible with the Docker engine.
 The client package implements a fully featured http client to interact
 with the Docker engine. It's modeled after the requirements of the Docker
 engine CLI, but it can also serve other purposes.

## golang-github-docker-engine-api 0.4.0

=== debian/changelog ===
golang-github-docker-engine-api (0.4.0-4) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * Section: oldlibs
  * Added deprecation notice to description.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 08 Jun 2018 12:36:21 +1000

golang-github-docker-engine-api (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * drop incorrect test-fixture-paths.patch
  * disable tests

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 16 Feb 2018 22:10:20 +0100

golang-github-docker-engine-api (0.4.0-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:07:33 +0300

golang-github-docker-engine-api (0.4.0-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * New upstream version
  * Standards-Version: 3.9.8
  * Add golang-github-docker-distribution-dev B-D

 -- Tim Potter <tpot@hpe.com>  Fri, 30 Sep 2016 10:23:45 +1000

=== debian/control ===
Source: golang-github-docker-engine-api
Section: oldlibs
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.31),
               golang-any,
               golang-github-docker-distribution-dev,
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-units-dev (>= 0.3.0)
Standards-Version: 3.9.8
Homepage: https://github.com/docker/engine-api
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-engine-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-engine-api.git
XS-Go-Import-Path: github.com/docker/engine-api

Package: golang-github-docker-engine-api-dev
Architecture: all
Depends: golang-github-docker-distribution-dev,
         golang-github-docker-go-connections-dev,
         golang-github-docker-go-units-dev (>= 0.3.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: client and server components compatible with the Docker engine
 Engine-api is a set of Go libraries to implement client and server
 components compatible with the Docker engine.
 The client package implements a fully featured http client to interact
 with the Docker engine. It's modeled after the requirements of the Docker
 engine CLI, but it can also serve other purposes.
 .
 Please do not use this library anymore. The Docker API client and types
 have been moved to the main docker repo under the following import paths:
 .
  https://github.com/docker/docker/client
  https://github.com/docker/docker/api/types

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/docker/engine-api/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
